List the purchase orders and goods receipts of an inbound invoice (tenant:trade:inbound:read)
GET /api/trade/v1/inbound-invoices/{id}/related
Module: Trade · operationId: listInboundInvoiceRelatedDocuments · Tag: Inbound invoices · Auth: access token (Authorization: Bearer <accessToken>)
The matched purchase order and those the order numbers of the invoice (header and lines) name, each with its goods receipts.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | yes |
Responses
- 200 Related documents (
application/json) - 401 No valid session or bearer token (no body).
- 404 Not found in the tenant. (
application/json)
Fields of the 200 answer:
goodsReceipts(array of object): Goods receipts of those purchase orders.grNumber(string): Number of the goods receipt.id(string (uuid)): Id of the goods receipt.poId(string (uuid)): Id of the purchase order.poNumber(string): Number of the purchase order.receivedAt(string (date-time)): When the goods were received.status(string): Status of the goods receipt.
purchaseOrders(array of object): Purchase orders of the invoice.id(string (uuid)): Id of the purchase order.matched(boolean): The purchase order the invoice was matched against.orderDate(string (date)): Order date.poNumber(string): Number of the purchase order.status(string): Status of the purchase order.
Example 200 answer:
{
"goodsReceipts": [
{
"grNumber": "WE-2026-00041",
"id": "3d6e7f8a-9b0c-4d1e-8f2a-4b5c6d7e8f41",
"poId": "1b4c5d6e-7f8a-4b9c-8d0e-2f3a4b5c6d58",
"poNumber": "BE-2026-00058",
"receivedAt": "2026-10-01T09:10:00Z",
"status": "posted"
}
],
"purchaseOrders": [
{
"id": "1b4c5d6e-7f8a-4b9c-8d0e-2f3a4b5c6d58",
"matched": true,
"orderDate": "2026-09-24",
"poNumber": "BE-2026-00058",
"status": "received"
}
]
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/trade/v1/inbound-invoices/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/related' \
-H "Authorization: Bearer $ACCESS_TOKEN"